SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'TELE_ORC_LOCAMOTO_ENVIO' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CD_ENTREGADOR'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'TELE_ORC_LOCAMOTO_ENVIO' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.TELE_ORC_LOCAMOTO_ENVIO ADD CD_ENTREGADOR INT NULL

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO CD_ENTREGADOR NA TABELA TELE_ORC_LOCAMOTO_ENVIO INSERIDO COM SUCESSO '
END
